# OnnxRuntime: Ort::ThreadingOptions Struct Reference

Loading...
Searching...
No Matches
Ort::ThreadingOptions Struct Reference

The ThreadingOptions. More...

`#include <onnxruntime_cxx_api.h>`

Inheritance diagram for Ort::ThreadingOptions:

## Public Member Functions

| ThreadingOptions ()
| Wraps OrtApi::CreateThreadingOptions.
ThreadingOptions & | SetGlobalIntraOpNumThreads (int intra_op_num_threads)
| Wraps OrtApi::SetGlobalIntraOpNumThreads.
ThreadingOptions & | SetGlobalInterOpNumThreads (int inter_op_num_threads)
| Wraps OrtApi::SetGlobalInterOpNumThreads.
ThreadingOptions & | SetGlobalSpinControl (int allow_spinning)
| Wraps OrtApi::SetGlobalSpinControl.
ThreadingOptions & | SetGlobalDenormalAsZero ()
| Wraps OrtApi::SetGlobalDenormalAsZero.
ThreadingOptions & | SetGlobalCustomCreateThreadFn (OrtCustomCreateThreadFn ort_custom_create_thread_fn)
| Wraps OrtApi::SetGlobalCustomCreateThreadFn.
ThreadingOptions & | SetGlobalCustomThreadCreationOptions (void *ort_custom_thread_creation_options)
| Wraps OrtApi::SetGlobalCustomThreadCreationOptions.
ThreadingOptions & | SetGlobalCustomJoinThreadFn (OrtCustomJoinThreadFn ort_custom_join_thread_fn)
| Wraps OrtApi::SetGlobalCustomJoinThreadFn.
Public Member Functions inherited from Ort::detail::Base< OrtThreadingOptions >
constexpr | Base ()=default
constexpr | Base (contained_type *p) noexcept
| Base (const Base &)=delete
| Base (Base &&v) noexcept
| ~Base ()
Base & | operator= (const Base &)=delete
Base & | operator= (Base &&v) noexcept
constexpr | operator contained_type * () const noexcept
contained_type * | release ()
| Relinquishes ownership of the contained C object pointer The underlying object is not destroyed.

## Additional Inherited Members

Public Types inherited from Ort::detail::Base< OrtThreadingOptions >
using | contained_type = OrtThreadingOptions
Protected Attributes inherited from Ort::detail::Base< OrtThreadingOptions >
contained_type * | p_

## Detailed Description

The ThreadingOptions.

The ThreadingOptions used for set global threadpools' options of The Env.

## Constructor & Destructor Documentation

## ThreadingOptions()

Ort::ThreadingOptions::ThreadingOptions | ( |  | ) |

Wraps OrtApi::CreateThreadingOptions.

## Member Function Documentation

## SetGlobalCustomCreateThreadFn()

ThreadingOptions & Ort::ThreadingOptions::SetGlobalCustomCreateThreadFn | ( | OrtCustomCreateThreadFn | ort_custom_create_thread_fn | ) |

Wraps OrtApi::SetGlobalCustomCreateThreadFn.

## SetGlobalCustomJoinThreadFn()

ThreadingOptions & Ort::ThreadingOptions::SetGlobalCustomJoinThreadFn | ( | OrtCustomJoinThreadFn | ort_custom_join_thread_fn | ) |

Wraps OrtApi::SetGlobalCustomJoinThreadFn.

## SetGlobalCustomThreadCreationOptions()

ThreadingOptions & Ort::ThreadingOptions::SetGlobalCustomThreadCreationOptions | ( | void * | ort_custom_thread_creation_options | ) |

Wraps OrtApi::SetGlobalCustomThreadCreationOptions.

## SetGlobalDenormalAsZero()

ThreadingOptions & Ort::ThreadingOptions::SetGlobalDenormalAsZero | ( |  | ) |

Wraps OrtApi::SetGlobalDenormalAsZero.

## SetGlobalInterOpNumThreads()

ThreadingOptions & Ort::ThreadingOptions::SetGlobalInterOpNumThreads | ( | int | inter_op_num_threads | ) |

Wraps OrtApi::SetGlobalInterOpNumThreads.

## SetGlobalIntraOpNumThreads()

ThreadingOptions & Ort::ThreadingOptions::SetGlobalIntraOpNumThreads | ( | int | intra_op_num_threads | ) |

Wraps OrtApi::SetGlobalIntraOpNumThreads.

## SetGlobalSpinControl()

ThreadingOptions & Ort::ThreadingOptions::SetGlobalSpinControl | ( | int | allow_spinning | ) |

Wraps OrtApi::SetGlobalSpinControl.